Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Class CallTraceSorter.TracedCall

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.CallTraceSorter.TracedCall

All Implemented Interfaces:
  Comparable<CallTraceSorter.TracedCall>

Enclosing class:
  CallTraceSorter

    public static class CallTraceSorter.TracedCall

extends Object
implements Comparable<CallTraceSorter.TracedCall>

Represents a call that has been traced.

Field Summary
`static int` | `timePrecision`

Constructor Summary
`CallTraceSorter.TracedCall(int step, int type, int period, double arvTime, double queueTime, String outcome, int group, double srvTime)` Constructs a new traced call using parameters.
`CallTraceSorter.TracedCall(String line)` Constructs a new traced call from the line `line` obtained from a trace file.

Method Summary
`int` | `compareTo(CallTraceSorter.TracedCall o)` Compares this call to another call.
`boolean` | `equals(Object o)`
`double` | `getArvTime()`
`int` | `getGroup()`
`String` | `getOutcome()`
`int` | `getPeriod()`
`double` | `getQueueTime()`
`double` | `getSrvTime()`
`int` | `getStep()`
`int` | `getType()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### timePrecision

    public static int timePrecision

Constructor Detail

### CallTraceSorter.TracedCall

    public CallTraceSorter.TracedCall(String line)

  Constructs a new traced call from the line `line` obtained from a trace file.

  Parameters:
    `line` - the line from the trace file.
  Throws:
    `IllegalArgumentException` - if a parse error occurs.

### CallTraceSorter.TracedCall

    public CallTraceSorter.TracedCall(int step,
                                      int type,
                                      int period,
                                      double arvTime,
                                      double queueTime,
                                      String outcome,
                                      int group,
                                      double srvTime)

  Constructs a new traced call using parameters.

  Parameters:
    `step` - the batch/replication of the call.
    `type` - the type of the call.
    `period` - the period of arrival of the call.
    `arvTime` - the arrival time of the call.
    `queueTime` - the waiting time of the call.
    `outcome` - the outcome of the call.
    `group` - the agent group of the served call.
    `srvTime` - the service time of the call.

Method Detail

### getArvTime

    public double getArvTime()

### getGroup

    public int getGroup()

### getOutcome

    public String getOutcome()

### getPeriod

    public int getPeriod()

### getQueueTime

    public double getQueueTime()

### getSrvTime

    public double getSrvTime()

### getStep

    public int getStep()

### getType

    public int getType()

### compareTo

    public int compareTo(CallTraceSorter.TracedCall o)

  Compares this call to another call. The calls are ordered in ascending number of step (batch/replication). Calls with the same step are ordered in ascending arrival time. Calls with the same step and arrival time are ordered in ascending type number.

  Specified by:
    `compareTo` in interface `Comparable<CallTraceSorter.TracedCall>`
  Parameters:
    `o` - the other call.
  Returns:
    the result of the comparison.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.